%define upstream_name    Mouse
%define upstream_version v2.5.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Moose minus the antlers
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/S/SA/SARTAK/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(Module::Build) >= 0.400.500
BuildRequires: perl(Module::Build::XSUtil) >= 0.190.0
BuildRequires: perl(Scalar::Util) >= 1.140.0
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::LeakTrace)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Output)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(XSLoader) >= 0.20.0
BuildRequires: perl-devel
Provides:   perl-Moose-implementation

%{?perl_default_filter}

%description
the Moose manpage is wonderful.

Unfortunately, it's a little slow. Though significant progress has been
made over the years, the compile time penalty is a non-starter for some
applications.

Mouse aims to alleviate this by providing a subset of Moose's
functionality, faster. In particular, the Moose/has manpage is missing only
a few expert-level features.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml example
%{_mandir}/man3/*
%{perl_vendorarch}/Mouse
%{perl_vendorarch}/Mouse.pm
%{perl_vendorarch}/ouse.pm
%{perl_vendorarch}/Squirrel.pm
%{perl_vendorarch}/Squirrel
%{perl_vendorarch}/Test
%{perl_vendorarch}/auto/Mouse


%changelog
* Fri Dec 01 2023 tv <tv> 2.5.10-6.mga10
+ Revision: 2012371
- Rebuild for perl-5.38

* Wed Aug 03 2022 tv <tv> 2.5.10-5.mga9
+ Revision: 1874738
- Rebuild b/c of "lib/Mouse.c: loadable library and perl binaries are mismatched (got first handshake key 0xeb00080, needed 0xeb80080)"

* Thu Mar 17 2022 umeabot <umeabot> 2.5.10-4.mga9
+ Revision: 1796405
- Mageia 9 Mass Rebuild

* Mon Aug 02 2021 tv <tv> 2.5.10-3.mga9
+ Revision: 1738578
- Rebuild for perl-5.34 because of "lib/Mouse.c: loadable library and perl
  binaries are mismatched (got handshake key 0xed00080, needed 0xeb00080)"

* Sat Jul 18 2020 tv <tv> 2.5.10-2.mga8
+ Revision: 1606954
- rebuild for perl-5.32, thus fixing: "lib/Mouse.c: loadable library and perl
  binaries are mismatched (got handshake key 0xcd00080, needed 0xed00080)"

* Sun Mar 29 2020 tv <tv> 2.5.10-1.mga8
+ Revision: 1562036
- update to v2.5.10

* Sun Feb 16 2020 umeabot <umeabot> 2.5.9-2.mga8
+ Revision: 1530326
- Mageia 8 Mass Rebuild

* Wed Aug 28 2019 tv <tv> 2.5.9-1.mga8
+ Revision: 1434689
- update to v2.5.9

* Mon Aug 26 2019 tv <tv> 2.5.8-1.mga8
+ Revision: 1432383
- update to v2.5.8

* Sun Aug 25 2019 tv <tv> 2.5.7-1.mga8
+ Revision: 1431984
- update to v2.5.7

* Fri Sep 21 2018 umeabot <umeabot> 2.5.6-2.mga7
+ Revision: 1293504
- Mageia 7 Mass Rebuild

* Tue Aug 21 2018 tv <tv> 2.5.6-1.mga7
+ Revision: 1253301
- update to v2.5.6

* Thu Aug 09 2018 guillomovitch <guillomovitch> 2.5.4-2.mga7
+ Revision: 1250636
- rebuild for perl 5.28

* Sat May 05 2018 shlomif <shlomif> 2.5.4-1.mga7
+ Revision: 1226446
- New version 2.5.4

* Sat Feb 17 2018 tv <tv> 2.5.2-1.mga7
+ Revision: 1202137
- update to v2.5.2

* Mon Jan 08 2018 shlomif <shlomif> 2.5.1-1.mga7
+ Revision: 1191671
- update to v2.5.1

* Thu Nov 30 2017 tv <tv> 2.5.0-1.mga7
+ Revision: 1180491
- update to v2.5.0

* Tue Oct 03 2017 tv <tv> 2.4.10-3.mga7
+ Revision: 1165730
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 guillomovitch <guillomovitch> 2.4.10-2.mga7
+ Revision: 1155391
- rebuild to fix perl warning

* Mon Jul 24 2017 sander85 <sander85> 2.4.10-1.mga7
+ Revision: 1130053
- update to v2.4.10

* Sun Jun 19 2016 pterjan <pterjan> 2.4.5-3.mga6
+ Revision: 1030731
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 2.4.5-2.mga6
+ Revision: 957775
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 sander85 <sander85> 2.4.5-1.mga6
+ Revision: 873737
- update to v2.4.5

* Fri Jun 26 2015 sander85 <sander85> 2.4.2-2.mga6
+ Revision: 844338
- Add patches to fix building perl-Text-Xslate

* Tue Jun 23 2015 sander85 <sander85> 2.4.2-1.mga6
+ Revision: 841486
- update to 2.4.2

* Wed Oct 15 2014 umeabot <umeabot> 2.3.0-5.mga5
+ Revision: 741716
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 2.3.0-4.mga5
+ Revision: 735937
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.3.0-3.mga5
+ Revision: 685597
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 2.3.0-2.mga5
+ Revision: 632306
- perl 5.20.0 rebuild

* Mon May 26 2014 sander85 <sander85> 2.3.0-1.mga5
+ Revision: 626800
- update to 2.3.0

* Mon Apr 07 2014 jquelin <jquelin> 2.2.0-1.mga5
+ Revision: 612532
- update to 2.2.0

* Sat Feb 08 2014 sander85 <sander85> 2.1.0-1.mga5
+ Revision: 586233
- update to 2.1.0

* Mon Oct 21 2013 umeabot <umeabot> 1.130.0-2.mga4
+ Revision: 540740
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 sander85 <sander85> 1.130.0-1.mga4
+ Revision: 494228
- update to 1.13

* Sun Sep 29 2013 sander85 <sander85> 1.120.0-1.mga4
+ Revision: 489051
- update to 1.12

* Wed May 29 2013 tv <tv> 1.110.0-1.mga4
+ Revision: 430162
- new release
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 1.20.0-2.mga3
+ Revision: 370375
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 1.20.0-1.mga3
+ Revision: 286358
- update to 1.02

* Wed Jul 04 2012 jquelin <jquelin> 0.990.0-1.mga3
+ Revision: 267444
- update to 0.99

* Wed May 30 2012 jquelin <jquelin> 0.970.0-2.mga3
+ Revision: 250958
- rebuild for perl 5.16

* Sun Nov 06 2011 jquelin <jquelin> 0.970.0-1.mga2
+ Revision: 164281
- update to 0.97

* Wed Jun 15 2011 jquelin <jquelin> 0.930.0-1.mga2
+ Revision: 107200
- update to 0.93

* Sun Jun 12 2011 jquelin <jquelin> 0.920.0-2.mga2
+ Revision: 104608
- perl 5.14

* Tue Apr 19 2011 jquelin <jquelin> 0.920.0-1.mga1
+ Revision: 88547
- update to 0.92

* Mon Mar 14 2011 jquelin <jquelin> 0.910.0-1.mga1
+ Revision: 70994
- update to 0.91

* Tue Feb 22 2011 jquelin <jquelin> 0.900.0-1.mga1
+ Revision: 56651
- update to 0.90

* Thu Feb 10 2011 jquelin <jquelin> 0.890.0-1.mga1
+ Revision: 49735
- fixspec
- update to 0.89

* Sat Jan 22 2011 jquelin <jquelin> 0.880.0-1.mga1
+ Revision: 32220
- mageia rebuild
- imported package perl-Mouse

